Subject: Solaris 2.5.1 autofs + guestgroup = 425?

From: Chin Fang <[email-masked]>
Date: Wed, 7 May 1997 14:41:51 -0700 (PDT)

Hello,

I am experiencing a very odd problem.  I have no problem using the
wu-ftpd 2.4.2 guestgroup when the file system is NFS exported and hard
mounted on the client system.  Everything works fine and dandy.

As soon as I switch the setup to use Solaris autofs, I always get
the dreaded 

425 Can't create data socket (0.0.0.0,20): Bad file number.

error message.

Below is my test setup:

two machines: teapot and teabag1.  teapot is the NIS/NFS server,
and teabag1 is the client:

(A) On the server teapot:
% less /etc/auto_master
# Master map for automounter
#
#
# +auto_master
/net            -hosts          -nosuid
/home           auto.home       -fstype=cachefs,cachedir=/cache1,backfstype=nfs
/xfn            -xfn

% less /etc/auto_home
# Home directory map for automounter
#
#
super   teapot:/export/home/&
# +auto_home
% ypcat passwd |grep super
super:XXXXXXXXXXX:5000:4000:Supercare test account:/home/super/./:/bin/tcsh

On teapot, the permissions for /export/home and /export/home/super are:

root:teapot:/export ls -ld home
drwxr-xr-x   6 root     www          512 May  6 09:56 home/
root:teapot:/export/home ls -ld super
drwxr-x--x  33 super    www         1536 May  7 11:03 super/

Also:

root:teapot:/home/super/bin file ls
ls:             ELF 32-bit MSB executable SPARC Version 1, statically linked, stripped
root:teapot:/home/super/dev ls -lL
total 0
crw-rw-rw-   1 root     other     11, 42 May  6 16:32 tcp
crw-rw-rw-   1 root     other    105,  1 May  6 16:32 ticotsord
crw-rw-rw-   1 root     other     11, 41 May  6 16:32 udp
crw-rw-rw-   1 root     other     13, 12 May  6 16:32 zero

(B) on the clien teabag1:

% less /etc/auto_master
# Master map for automounter
#
+auto.master
/net            -hosts          -nosuid
/home           auto_home
/xfn            -xfn
% less /etc/auto_home
# Home directory map for automounter
#
+auto_home

The cachefs works, as far as I can see, using df -k
root:teabag1:~ df -k
Filesystem            kbytes    used   avail capacity  Mounted on
/dev/dsk/c0t3d0s0     840918  258727  498101    35%    /
/proc                      0       0       0     0%    /proc
fd                         0       0       0     0%    /dev/fd
/dev/dsk/c0t1d0s0     963662     822  866480     1%    /opt/www/httpd/logs
swap                  163296       8  163288     1%    /tmp
teapot:/usr/local     963656  482136  385160    56%    /usr/local
teapot:/src          2890136  993696 1607424    39%    /src
/cache1/.cfs_mnt_points/teapot:_export_home_super
                       98280   12824   75632    15%

I have checked and rechecked everything that I could think of.  The
425 error message just refuse to go away.  Switching back to hard mount,
everything works again immediately.

Any hints/help are appreciated!

Chin Fang
[email-masked]